For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Create One User

Note

Groups and projects are synonymous terms. Your {PROJECT-ID} is the same as your group id. For existing groups, your group/project id remains the same. This page uses the more familiar term group when referring to descriptions. The endpoint remains as stated in the document.

Create a new user. By default, any non-global organization and project roles in the payload send users an invitation to the organization or project first.

Base URL: https://cloud.mongodb.com/api/public/v1.0

POST /users

This endpoint doesn't use HTTP request path parameters.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether to return the response body in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

All fields are required.

Name
Type
Description

username

string

Username of the Cloud Manager user. Must be a valid email address.

password

string

Password of the Cloud Manager user.

This field is not included in the entity returned from the server. It can be sent only in the entity body when you create a new user.

emailAddress

string

Email address of the Cloud Manager user.

mobileNumber

string

Mobile telephone number of the Cloud Manager user.

firstName

string

First name of the Cloud Manager user.

lastName

string

Last name of the Cloud Manager user.

country

string

Primary country where the Cloud Manager user is based. Must match a two-letter ISO 3661-1 country code.

roles

object array

Role assignments of the Cloud Manager user.

roles.orgId

string

Unique identifier of the organization in which the Cloud Manager user has the specified role.

roles.groupId

string

Unique identifier of the group in which the Cloud Manager user has the specified role.

roles.roleName

string

Name of the role. Accepted values are:

The JSON document contains each of the following elements:

Name
Type
Description

emailAddress

string

Email address of the Cloud Manager user.

firstName

string

First name of the Cloud Manager user.

id

string

Unique identifier of the Cloud Manager user.

lastName

string

Last name of the Cloud Manager user.

links

object array

Links to related sub-resources. All links arrays in responses include at least one link called self. The Web Linking Specification explains these link relationships.

mobileNumber

string

Mobile number of the Cloud Manager user.

roles

empty array

Role assigned to the Cloud Manager user.

roles
.groupId

string

Unique identifier for the project where the user has the specified role.

roles
.orgId

string

Unique identifier for the organization where the user has the specified role.

roles
.roleName

string

Name of the role. The users resource returns all the roles the user has in Cloud Manager and MongoDB Atlas.

Accepted values are:

username

string

Username of the Cloud Manager user.

1curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
2 --header "Accept: application/json" \
3 --header "Content-Type: application/json" \
4 --include \
5 --request POST "https://cloud.mongodb.com/api/public/v1.0/users" \
6 --data '
7 {
8 "username": "jane.doe@mongodb.com",
9 "emailAddress": "jane.doe@mongodb.com",
10 "firstName": "Jane",
11 "lastName": "Doe",
12 "password": "M0ng0D8!:)",
13 "country" : "US",
14 "roles": [{
15 "groupId": "533daa30879bb2da07807696",
16 "roleName": "GROUP_USER_ADMIN"
17 },{
18 "orgId" : "55555bbe3bd5253aea2d9b16",
19 "roleName" : "ORG_MEMBER"
20 }]
21 }'
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 201 Created
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{
"id" : "533dc19ce4b00835ff81e2eb",
"username" : "jane.doe@mongodb.com",
"emailAddress" : "jane.doe@mongodb.com",
"firstName" : "Jane",
"lastName" : "Doe",
"roles" : [],
"links" : []
}